Content
Publish a content
POST
/
contents
/
{id}
/
publish
Publish a content
curl --request POST \
--url https://api.reelevant.com/v2/contents/{id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previewUrl": "<string>"
}
'import requests
url = "https://api.reelevant.com/v2/contents/{id}/publish"
payload = { "previewUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({previewUrl: '<string>'})
};
fetch('https://api.reelevant.com/v2/contents/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"template": {
"components": {},
"dependencies": {},
"pages": [
{
"id": "<string>",
"width": 123,
"height": 123,
"background": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"duration": 123,
"components": [
{
"id": "<string>",
"x": 123,
"y": 123,
"skewX": 123,
"skewY": 123,
"width": 123,
"height": 123,
"rotation": 123
}
],
"orderTree": {
"root": [
"<string>"
],
"elements": {}
},
"url": [
{
"type": "static",
"value": "<string>"
}
],
"title": [
{
"type": "static",
"value": "<string>"
}
]
}
],
"conditionGroups": {},
"componentGroups": {},
"editorSettings": {
"canvasBackground": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"layoutGuides": [
{
"id": "<string>",
"name": "<string>",
"visible": true,
"color": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"type": "grid",
"size": 123
}
]
}
},
"previewUrl": "<string>",
"metadata": {}
}
],
"options": {
"compression": true,
"compressionThreshold": 123
},
"description": "<string>"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Was this page helpful?
⌘I
Publish a content
